Advertisement
Guest User

Untitled

a guest
Sep 5th, 2021
81
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. ylo2@ylo2-UP-WHL01:~/catkin_ws/src/pcan2moteus/scripts$ python3 pcan2moteus_ros.py
  2. Running Main() :
  3.   --- The 4 ports have been correctly initialized
  4.     --- Position orders are sent to motors
  5.     --- Position commands are queried :
  6. [nan, '0.09854380041360855', '-0.0010986328125', 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0]
  7.         --- Motors are stopped, now
  8.  
  9.  
  10.  
  11.  
  12. Running Main() :
  13. [ERROR] [1630863596.576500]: bad callback: <function callback at 0x7f8ce3527430>
  14. Traceback (most recent call last):
  15.   File "/opt/ros/noetic/lib/python3/dist-packages/rospy/topics.py", line 750, in _invoke_callback
  16.     cb(msg)
  17.   File "pcan2moteus_ros.py", line 77, in callback
  18.     asyncio.run(main(y), debug=True)
  19.   File "/usr/lib/python3.8/asyncio/runners.py", line 44, in run
  20.     return loop.run_until_complete(main)
  21.   File "/usr/lib/python3.8/asyncio/base_events.py", line 616, in run_until_complete
  22.     return future.result()
  23.   File "pcan2moteus_ros.py", line 68, in main
  24.     await app.send_commands(commands)
  25.   File "pcan2moteus_ros.py", line 47, in send_commands
  26.     FL = await self.pcanBus1.cycle([
  27.   File "/home/ylo2/.local/lib/python3.8/site-packages/moteus/pythoncan.py", line 59, in cycle
  28.     reply = await self._do_command(x)
  29.   File "/home/ylo2/.local/lib/python3.8/site-packages/moteus/pythoncan.py", line 71, in _do_command
  30.     reply = await self._reader.get_message()
  31.   File "/usr/lib/python3.8/asyncio/queues.py", line 163, in get
  32.     await getter
  33. RuntimeError: Task <Task pending name='Task-3' coro=<main() running at pcan2moteus_ros.py:68> cb=[_run_until_complete_cb() at /usr/lib/python3.8/asyncio/base_events.py:184] created at /usr/lib/python3.8/asyncio/base_events.py:595> got Future <Future pending created at /usr/lib/python3.8/asyncio/base_events.py:422> attached to a different loop
  34.  
  35. Exception in thread can.notifier for bus "PCAN_PCIBUS1":
  36. Traceback (most recent call last):
  37.   File "/home/ylo2/.local/lib/python3.8/site-packages/can/notifier.py", line 99, in _rx_thread
  38.     self._loop.call_soon_threadsafe(
  39.   File "/usr/lib/python3.8/asyncio/base_events.py", line 764, in call_soon_threadsafe
  40.     self._check_closed()
  41.   File "/usr/lib/python3.8/asyncio/base_events.py", line 508, in _check_closed
  42.     raise RuntimeError('Event loop is closed')
  43. RuntimeError: Event loop is closed
  44.  
  45. During handling of the above exception, another exception occurred:
  46.  
  47. Traceback (most recent call last):
  48.   File "/usr/lib/python3.8/threading.py", line 932, in _bootstrap_inner
  49.     self.run()
  50.   File "/usr/lib/python3.8/threading.py", line 870, in run
  51.     self._target(*self._args, **self._kwargs)
  52.   File "/home/ylo2/.local/lib/python3.8/site-packages/can/notifier.py", line 107, in _rx_thread
  53.     self._loop.call_soon_threadsafe(self._on_error, exc)
  54.   File "/usr/lib/python3.8/asyncio/base_events.py", line 764, in call_soon_threadsafe
  55.     self._check_closed()
  56.   File "/usr/lib/python3.8/asyncio/base_events.py", line 508, in _check_closed
  57.     raise RuntimeError('Event loop is closed')
  58. RuntimeError: Event loop is closed
  59.  
Advertisement
RAW Paste Data Copied
Advertisement